"use strict";
Object.defineProperties(exports, { __esModule: { value: true }, [Symbol.toStringTag]: { value: "Module" } });
require("../../../../node_modules/element-plus/es/index.js");
;/* empty css                                                          */
const Vue = require("vue");
const index$2 = ;/* empty css                   */
const pageEvent = require("../event/pageEvent.vue.js");
const useDataSourceDialog = require("../dataSource/useDataSourceDialog.js");
const useAdvancedFilterDialog = require("../advancedFilter/useAdvancedFilterDialog.js");
const useDataLinkageDialog = require("../dataLinkage/useDataLinkageDialog.js");
const useJsonDataDrawer = require("../../components/useJsonDataDrawer.js");
const useDialogDialog = require("../dialog/useDialogDialog.js");
const useDialogGlobalDialog = require("../dialogGlobal/useDialogGlobalDialog.js");
const useProdDialog = require("../prod/useProdDialog.js");
const index$1 = require("../../../../node_modules/@element-plus/icons-vue/dist/index.js");
const common = require("../utils/common.js");
;/* empty css                */
const _pluginVue_exportHelper = require("../../../../_virtual/_plugin-vue_export-helper.js");
const index = require("../../../../node_modules/element-plus/es/components/icon/index.js");
const _hoisted_1 = { class: "header-btns" };
const _sfc_main = {
  __name: "headerBtn",
  setup(__props) {
    const { dataSourceDialogVisible, openDataSourceDialog, DataSourceDialog } = useDataSourceDialog.useDataSourceDialog();
    const { jsonDataDrawerVisible, openJsonDrawer, JsonDataDrawer } = useJsonDataDrawer.useJsonDataDrawer();
    const eventDialogVisible = Vue.ref(false);
    const pageEventDialogVisible = Vue.ref(false);
    function openPageEventDialog() {
      pageEventDialogVisible.value = true;
    }
    const filterConfig = Vue.ref({
      operator: "and",
      conditions: [],
      groups: []
    });
    const {
      advancedFilterDialogVisible,
      AdvancedFilterDialog
    } = useAdvancedFilterDialog.useAdvancedFilterDialog();
    function advancedConfirm(data) {
      console.log("advancedConfirm", data);
    }
    const { dataLinkageDialogVisible, openDataLinkageDialog, DataLinkageDialog } = useDataLinkageDialog.useDataLinkageDialog();
    Vue.ref(false);
    const { dialogDialogVisible, openDialogDialog, DialogDialog } = useDialogDialog.useDialogDialog();
    const {
      dialogGlobalDialogVisible,
      openDialogGlobalDialog,
      DialogGlobalDialog
    } = useDialogGlobalDialog.useDialogGlobalDialog();
    const { prodDialogVisible, openProdDialog, ProdDialog } = useProdDialog.useProdDialog();
    Vue.computed(() => {
      return common.getEditConfigData();
    });
    return (_ctx, _cache) => {
      const _component_Wallet = Vue.resolveComponent("Wallet");
      const _component_el_icon = index.ElIcon;
      return Vue.openBlock(), Vue.createElementBlock("div", _hoisted_1, [
        Vue.createElementVNode("div", {
          class: "btn-item",
          onClick: _cache[0] || (_cache[0] = (...args) => Vue.unref(openProdDialog) && Vue.unref(openProdDialog)(...args))
        }, [
          Vue.createVNode(_component_el_icon, null, {
            default: Vue.withCtx(() => [
              Vue.createVNode(_component_Wallet)
            ]),
            _: 1
          }),
          _cache[15] || (_cache[15] = Vue.createElementVNode("span", null, "产品配置", -1))
        ]),
        Vue.createVNode(Vue.unref(ProdDialog), {
          modelValue: Vue.unref(prodDialogVisible),
          "onUpdate:modelValue": _cache[1] || (_cache[1] = ($event) => Vue.isRef(prodDialogVisible) ? prodDialogVisible.value = $event : null)
        }, null, 8, ["modelValue"]),
        Vue.createElementVNode("div", {
          class: "btn-item",
          onClick: _cache[2] || (_cache[2] = (...args) => Vue.unref(openDataSourceDialog) && Vue.unref(openDataSourceDialog)(...args))
        }, [
          Vue.createVNode(_component_el_icon, null, {
            default: Vue.withCtx(() => [
              Vue.createVNode(Vue.unref(index$1.Connection))
            ]),
            _: 1
          }),
          _cache[16] || (_cache[16] = Vue.createElementVNode("span", null, "数据源", -1))
        ]),
        Vue.createVNode(Vue.unref(DataSourceDialog), {
          modelValue: Vue.unref(dataSourceDialogVisible),
          "onUpdate:modelValue": _cache[3] || (_cache[3] = ($event) => Vue.isRef(dataSourceDialogVisible) ? dataSourceDialogVisible.value = $event : null)
        }, null, 8, ["modelValue"]),
        Vue.createVNode(Vue.unref(index$2.default), {
          modelValue: Vue.unref(eventDialogVisible),
          "onUpdate:modelValue": _cache[4] || (_cache[4] = ($event) => Vue.isRef(eventDialogVisible) ? eventDialogVisible.value = $event : null)
        }, null, 8, ["modelValue"]),
        Vue.createElementVNode("div", {
          class: "btn-item",
          onClick: openPageEventDialog
        }, [
          Vue.createVNode(_component_el_icon, null, {
            default: Vue.withCtx(() => [
              Vue.createVNode(Vue.unref(index$1.Management))
            ]),
            _: 1
          }),
          _cache[17] || (_cache[17] = Vue.createElementVNode("span", null, "页面事件", -1))
        ]),
        Vue.createVNode(pageEvent.default, {
          modelValue: Vue.unref(pageEventDialogVisible),
          "onUpdate:modelValue": _cache[5] || (_cache[5] = ($event) => Vue.isRef(pageEventDialogVisible) ? pageEventDialogVisible.value = $event : null)
        }, null, 8, ["modelValue"]),
        Vue.createVNode(Vue.unref(AdvancedFilterDialog), {
          modelValue: Vue.unref(advancedFilterDialogVisible),
          "onUpdate:modelValue": _cache[6] || (_cache[6] = ($event) => Vue.isRef(advancedFilterDialogVisible) ? advancedFilterDialogVisible.value = $event : null),
          filterConfig: Vue.unref(filterConfig),
          onConfirm: advancedConfirm,
          title: "条件表达式配置"
        }, null, 8, ["modelValue", "filterConfig"]),
        Vue.createElementVNode("div", {
          class: "btn-item",
          onClick: _cache[7] || (_cache[7] = (...args) => Vue.unref(openDataLinkageDialog) && Vue.unref(openDataLinkageDialog)(...args))
        }, [
          Vue.createVNode(_component_el_icon, null, {
            default: Vue.withCtx(() => [
              Vue.createVNode(Vue.unref(index$1.Link))
            ]),
            _: 1
          }),
          _cache[18] || (_cache[18] = Vue.createElementVNode("span", null, "联动配置", -1))
        ]),
        Vue.createVNode(Vue.unref(DataLinkageDialog), {
          modelValue: Vue.unref(dataLinkageDialogVisible),
          "onUpdate:modelValue": _cache[8] || (_cache[8] = ($event) => Vue.isRef(dataLinkageDialogVisible) ? dataLinkageDialogVisible.value = $event : null)
        }, null, 8, ["modelValue"]),
        Vue.createElementVNode("div", {
          class: "btn-item",
          onClick: _cache[9] || (_cache[9] = (...args) => Vue.unref(openDialogGlobalDialog) && Vue.unref(openDialogGlobalDialog)(...args))
        }, [
          Vue.createVNode(_component_el_icon, null, {
            default: Vue.withCtx(() => [
              Vue.createVNode(Vue.unref(index$1.ChatLineSquare))
            ]),
            _: 1
          }),
          _cache[19] || (_cache[19] = Vue.createElementVNode("span", null, "全局弹层", -1))
        ]),
        Vue.createVNode(Vue.unref(DialogGlobalDialog), {
          modelValue: Vue.unref(dialogGlobalDialogVisible),
          "onUpdate:modelValue": _cache[10] || (_cache[10] = ($event) => Vue.isRef(dialogGlobalDialogVisible) ? dialogGlobalDialogVisible.value = $event : null)
        }, null, 8, ["modelValue"]),
        Vue.createElementVNode("div", {
          class: "btn-item",
          onClick: _cache[11] || (_cache[11] = (...args) => Vue.unref(openDialogDialog) && Vue.unref(openDialogDialog)(...args))
        }, [
          Vue.createVNode(_component_el_icon, null, {
            default: Vue.withCtx(() => [
              Vue.createVNode(Vue.unref(index$1.ChatLineSquare))
            ]),
            _: 1
          }),
          _cache[20] || (_cache[20] = Vue.createElementVNode("span", null, "页面弹层", -1))
        ]),
        Vue.createVNode(Vue.unref(DialogDialog), {
          modelValue: Vue.unref(dialogDialogVisible),
          "onUpdate:modelValue": _cache[12] || (_cache[12] = ($event) => Vue.isRef(dialogDialogVisible) ? dialogDialogVisible.value = $event : null)
        }, null, 8, ["modelValue"]),
        Vue.createElementVNode("div", {
          class: "btn-item",
          onClick: _cache[13] || (_cache[13] = (...args) => Vue.unref(openJsonDrawer) && Vue.unref(openJsonDrawer)(...args))
        }, [
          Vue.createVNode(_component_el_icon, null, {
            default: Vue.withCtx(() => [
              Vue.createVNode(Vue.unref(index$1.Document))
            ]),
            _: 1
          }),
          _cache[21] || (_cache[21] = Vue.createElementVNode("span", null, "数据结构", -1))
        ]),
        Vue.createVNode(Vue.unref(JsonDataDrawer), {
          modelValue: Vue.unref(jsonDataDrawerVisible),
          "onUpdate:modelValue": _cache[14] || (_cache[14] = ($event) => Vue.isRef(jsonDataDrawerVisible) ? jsonDataDrawerVisible.value = $event : null)
        }, null, 8, ["modelValue"])
      ]);
    };
  }
};
const formHeaderBtn = /* @__PURE__ */ _pluginVue_exportHelper.default(_sfc_main, [["__scopeId", "data-v-44c2c956"]]);
exports.default = formHeaderBtn;
